<div class="cs-list-filter" *ngIf="design !== 'light'">
  <span class="header-h2">{{ 'app.list.filterHeading' | translate }}</span>
</div>
<div class="tf-wrapper">
  <div *ngFor="let col of columns; trackBy: trackByFn; let i = index">
    <div class="filter-label eui-u-mr-s eui-u-mt-s" *ngIf="col.filterType === filterTypeEnum.LABEL">
      <span>{{ col.id | translate }}</span>
    </div>
    <div euiInputGroup class="eui-u-mt-s {{ align === 'right' ? 'align-right' : 'eui-u-mr-l' }}">
      <app-text-column
        (componentValueChange)="changeFilterValue(col, $event)"
        *ngIf="col.filterType === filterTypeEnum.INPUT"
        [column]="col"
        [value]="filterValues[col.filterId.concat('Value')]"
        id="{{ col.id }}"
        [design]="design"></app-text-column>
      <div *ngIf="col.filterType === filterTypeEnum.COUNTRIES" class="eui-input-group-addon">
        <eui-dropdown #countryDropdown [hasClosedOnClickInside]="false">
          <button euiButton euiSecondary euiOutline>
            <label euilabel class="eui-u-text-truncate eui-u-c-neutral-light">
              {{
                getCount('country') > 0
                  ? ('app.common.filter.placeholder' | translate: { count: getCount('country') })
                  : ('app.common.filter.placeholderNoFilter' | translate)
              }}
            </label>
            <eui-icon-svg
              icon="eui-chevron-{{ countryDropdown.isOpen ? 'up' : 'down' }}"
              fillColor="neutral-lighter"
              size="s"
              class="eui-u-ml-s" />
          </button>
          <eui-dropdown-content>
            <div class="eui-u-p-m">
              <div euiInputGroup>
                <div class="eui-input-group-addon">
                  <div class="eui-input-group-addon-item">
                    <eui-icon-svg icon="eui-search" />
                  </div>
                  <input
                    euiInputText
                    euiClearable
                    placeholder="{{ 'app.list.common.filter.placeholderCountries' | translate }}"
                    [formControl]="countryFilterInputControl" />
                </div>
              </div>
              <eui-tree
                #countriesTree
                [nodes]="countryTreeData"
                isMultiselect
                isRecursiveSelection
                (selectionChange)="handleCountriesSelection($event)" />
            </div>
          </eui-dropdown-content>
        </eui-dropdown>
      </div>
      <div *ngIf="col.filterType === filterTypeEnum.STATUS" class="eui-input-group-addon">
        <eui-dropdown #statusDropdown [hasClosedOnClickInside]="false">
          <button euiButton euiSecondary euiOutline>
            <label euiLabel class="eui-u-text-truncate eui-u-c-neutral-light">
              {{
                getCount('status') > 0
                  ? ('app.common.filter.statusPlaceholder' | translate: { count: getCount('status') })
                  : ('app.common.filter.statusPlaceholderNoFilter' | translate)
              }}
            </label>
            <eui-icon-svg
              icon="eui-chevron-{{ statusDropdown.isOpen ? 'up' : 'down' }}"
              fillColor="neutral-lighter"
              size="s"
              class="eui-u-ml-s" />
          </button>
          <eui-dropdown-content>
            <div class="eui-u-p-m">
              <eui-tree isMultiselect isRecursiveSelection [nodes]="statusTreeData" (selectionChange)="listSelection($event, 'status')" />
            </div>
          </eui-dropdown-content>
        </eui-dropdown>
      </div>
      <div *ngIf="col.filterType === filterTypeEnum.EVENT_TYPE" class="eui-input-group-addon">
        <eui-dropdown #eventDropdown [hasClosedOnClickInside]="false">
          <button euiButton euiSecondary euiOutline>
            <label euiLabel class="eui-u-text-truncate eui-u-c-neutral-light">
              {{
                getCount('eventType') > 0
                  ? ('app.common.filter.eventTypePlaceholder' | translate: { count: getCount('eventType') })
                  : ('app.common.filter.eventTypePlaceholderNoFilter' | translate)
              }}
            </label>
            <eui-icon-svg
              icon="eui-chevron-{{ eventDropdown.isOpen ? 'up' : 'down' }}"
              fillColor="neutral-lighter"
              size="s"
              class="eui-u-ml-s" />
          </button>
          <eui-dropdown-content>
            <div class="eui-u-p-m">
              <eui-tree
                isMultiselect
                isRecursiveSelection
                [nodes]="eventTypeTreeData"
                (selectionChange)="listSelection($event, 'eventType')" />
            </div>
          </eui-dropdown-content>
        </eui-dropdown>
      </div>
      <div *ngIf="col.filterType === filterTypeEnum.TIMESTAMP" class="eui-input-group-addon">
        <eui-date-range-selector
          firstInputPlaceholder="dd/mm/yyyy"
          secondInputPlaceholder="dd/mm/yyyy"
          isClearable
          (firstSelectedDate)="getSelectedDate($event, 'start')"
          (secondSelectedDate)="getSelectedDate($event, 'end')"></eui-date-range-selector>
      </div>
    </div>
  </div>
</div>
<div class="tf-wrapper tf-wrapper-chips" *ngIf="chipsList.concat(lifeEventsChipsList).concat(levelCodesChipsList).length > 0">
  <span class="p eui-u-c-neutral-light">{{ 'app.common.filter.appliedFilters' | translate }}</span>
  <eui-chip
    *ngFor="let chip of chipsList; trackBy: trackByFn"
    [data]="chip"
    isChipRemovable
    (remove)="onRemoveChip($event)"
    euiOutline
    euiPrimary
    class="eui-u-bg-color-primary-5">
    <span euiLabel>{{ chip.label }}</span>
  </eui-chip>
  <eui-chip [data]="{ id: -1 }" isChipRemovable (remove)="onRemoveAll()" euiPrimary>
    <span euiLabel>{{ 'app.common.filter.clearAllBtn' | translate }}</span>
  </eui-chip>
</div>
